@import url("../../public/css/variables.css");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: var(--fonte-principal);
}

body {
  display: flex;
  min-height: 100vh;
  overflow: hidden;
}

/* Seção da imagem */
.image-container {
  flex: 1;
  background: linear-gradient(rgba(50, 65, 72, 60), rgba(50, 65, 72, 60)),
    url("../public/images/login_banner.png") center/cover;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--cor-branca);
  text-align: center;
  padding: 2rem;
}

/* Seção do login */
.login-container {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 2rem;
  background: white;
}

/* Mantém os estilos anteriores do login */
.login-box {
  width: 100%;
  max-width: 400px;
}

h1 {
  margin-bottom: 2rem;
  text-align: center;
}

.form-group {
  margin-bottom: 1.5rem;
}

label {
  display: block;
  margin-bottom: 0.5rem;
  font-weight: 500;
}

input {
  width: 100%;
  padding: 0.8rem;
  border: 1px solid #ddd;
  border-radius: 4px;
  font-size: 1rem;
}

.button {
  width: 100%;
  background: #007bff;
  color: var(--cor-branca);
  border: none;
  border-radius: 4px;
  font-size: 1rem;
  cursor: pointer;
  transition: background 0.3s ease;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 50px;
  padding: 10px 20px;
}

.container-logo {
  display: flex;
}

.container-logo img {
  width: 55px;
  height: 55px;
}

.logo {
  font-size: 1.5rem;
  font-weight: bold;
  margin-bottom: 2rem;
  text-align: center;
}

.img-bunner {
  width: 450px;
}

@media (max-width: 768px) {
  body {
    flex-direction: column;
  }

  .image-container {
    display: none;
  }
}
